Bug 7658 - fix some "dereferencing type-punned pointer will break strict-aliasing rules" warnings
fix some "dereferencing type-punned pointer will break strict-aliasing rules"...
Status: RESOLVED FIXED
Product: Samba 3.5
Classification: Unclassified
Component: Build environment
3.5.4
Other Linux
: P3 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2010-09-01 05:19 UTC by Guenther Deschner
Modified: 2011-06-17 07:32 UTC (History)
0 users

See Also:


Attachments
patch for 3.5 (12.63 KB, patch)
2010-09-01 05:20 UTC, Guenther Deschner
bjacke: review+
vl: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Guenther Deschner 2010-09-01 05:19:03 UTC
fix some "dereferencing type-punned pointer will break strict-aliasing rules" warnings
Comment 1 Guenther Deschner 2010-09-01 05:20:43 UTC
Created attachment 5944 [details]
patch for 3.5
Comment 2 Volker Lendecke 2010-09-02 12:52:13 UTC
Comment on attachment 5944 [details]
patch for 3.5

A bit in-and-out again, but looks fine!

Thanks,

Volker
Comment 3 Karolin Seeger 2010-09-06 13:52:37 UTC
Pushed to v3-5-test.
Closing out bug report.

Thanks!